MEMORY
{
    RAM (rwx) : ORIGIN = 0x20000000, LENGTH = 16K
}

SECTIONS
{
    .magic_header : ALIGN(4) {
        LONG(0x88DAD0F2)        /* Magic header containing */
        LONG(ADDR(.text))   /* Entry point */
    } > RAM

    .text : ALIGN(4) {
        *(.text)
        *(.rodata)
    } > RAM

    .data : ALIGN(4) {
        *(.data)
    } > RAM

    .bss : ALIGN(4) {
        *(.bss)
        *(COMMON)
    } > RAM
}
